%define languageenglazy Ukrainian
%define languagecode    uk
%define lc_ctype        uk_UA

Name:           hunspell-%{languagecode}
Version:        1.6.5
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://sourceforge.net/projects/ispell-uk
Source0:        http://downloads.sourceforge.net/ispell-uk/spell-uk-%{version}.tgz
BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-uk
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n spell-uk-%{version}

%build
make myspell

%install
install -D -m 0644 -p ./dist/myspell-uk-%{version}/uk_UA.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ./dist/myspell-uk-%{version}/uk_UA.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc ./src/myspell/README_uk_UA.txt README README.uk COPYING.GPL COPYING.LGPL Copyright
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.6.5-3.mga4
+ Revision: 505897
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.5-2.mga3
+ Revision: 353748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 kamil <kamil> 1.6.5-1.mga3
+ Revision: 344005
- update %%source
- add 'make myspell' in %%build
- update paths of taken files in %%install
- update the %%doc file list
- sync version with Fedora: new upstream version 1.6.5
- update Source

* Tue Mar 20 2012 kamil <kamil> 1.6.0-5.mga2
+ Revision: 224892
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 1.6.0-4.mga2
+ Revision: 209135
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.6.0-2.mga1
+ Revision: 69179
- imported package hunspell-uk


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 18 2009 Caolan McNamara <caolanm@redhat.com> - 1.6.0-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Caolan McNamara <caolanm@redhat.com> - 1.5.7-1
- latest version

* Tue Sep 30 2008 Caolan McNamara <caolanm@redhat.com> - 1.5.5-1
- latest version

* Tue Sep 16 2008 Caolan McNamara <caolanm@redhat.com> - 1.5.0-2
- fixup extra Source lines

* Mon Sep 15 2008 Caolan McNamara <caolanm@redhat.com> - 1.5.0-1
- initial version
